%define real_name mhash

Summary: Thread-safe hash library
Name: libmhash
Version: 0.9.9
Release: SOL2
License: LGPL
Group: System Environment/Libraries
URL: http://mhash.sourceforge.net/

Source: http://dl.sf.net/mhash/mhash-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Provides: %{real_name}
Obsoletes: %{real_name}

%description
mhash is a thread-safe hash library, implemented in C, and provides a
uniform interface to a large number of hash algorithms (MD5, SHA-1,
HAVAL, RIPEMD128, RIPEMD160, TIGER, GOST). These algorithms can be
used to compute checksums, message digests, and other signatures.
The HMAC support implements the basics for message authentication,
following RFC 2104.

%package devel
Summary: Header files and libraries for developing apps which will use mhash
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Provides: %{real_name}-devel
Obsoletes: %{real_name}-devel

%description devel
The mhash-devel package contains the header files and libraries needed
to develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that
will use the mhash library.

%prep
%setup -n %{real_name}-%{version}

%build
%configure \
	--disable-dependency-tracking \
	--enable-static \
	--enable-shared
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc doc/example.c doc/skid2-authentication
%doc %{_mandir}/man?/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h
%{_includedir}/mutils/*.h
%exclude %{_libdir}/*.la

%changelog

* Mon Dec 22 2008 Michael Stauber <mstauber@solarspeed.net>
- Rolled up RPM for CentOS5

* Sat Dec 23 2007 Michael Stauber <mstauber@solarspeed.net>
- Rolled up RPM for CentOS4

* Wed Aug 24 2005 Michael Stauber <mstauber@solarspeed.net>
- Rolled up RPM for CentOS4

